-- The addon namespace.
local addon, ns = ...

local shieldBarrierIcon = ns.ShieldBarrierIcon:new("ShieldMaidShieldBarrierIcon")
local shieldBlockIcon = ns.ShieldBlockIcon:new("ShieldMaidShieldBlockIcon")
local shieldChargeIcon = ns.ShieldChargeIcon:new("ShieldMaidShieldChargeIcon")
local manager = ns.Manager:new(shieldBarrierIcon, shieldBlockIcon, shieldChargeIcon);
local console = ns.Console:new(manager)

console:RegisterSlashCommands()
manager:RegisterHandlers()